DFAC(3)

SYNOPSIS
DOUBLE PRECISION FUNCTION DFAC (N)

NAME
dfac - Compute the factorial function.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C1

TYPE
DOUBLE PRECISION (FAC-S, DFAC-D)

KEYWORDS
FACTORIAL, FNLIB, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
DFAC(N) calculates the double precision factorial for integer argument N.

REFERENCES
(NONE)

ROUTINES CALLED
D9LGMC, DGAMLM, XERMSG

REVISION HISTORY (YYMMDD)
770601 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)